diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/media-editor.js /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/media-editor.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/media-editor.js	2012-12-17 16:18:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/media-editor.js	2013-01-14 11:37:00.000000000 -0600
***************
*** 9,15 ****
  		// outputting the proper object format based on the
  		// attachment's type.
  		props: function( props, attachment ) {
! 			var link, linkUrl, size, sizes, fallbacks;
  
  			// Final fallbacks run after all processing has been completed.
  			fallbacks = function( props ) {
--- 9,16 ----
  		// outputting the proper object format based on the
  		// attachment's type.
  		props: function( props, attachment ) {
! 			var link, linkUrl, size, sizes, fallbacks,
! 				defaultProps = wp.media.view.settings.defaultProps;
  
  			// Final fallbacks run after all processing has been completed.
  			fallbacks = function( props ) {
***************
*** 17,22 ****
--- 18,24 ----
  				if ( 'image' === props.type && ! props.alt ) {
  					props.alt = props.caption || props.title || '';
  					props.alt = props.alt.replace( /<\/?[^>]+>/g, '' );
+ 					props.alt = props.alt.replace( /[\r\n]+/g, ' ' );
  				}
  
  				return props;
***************
*** 29,36 ****
  
  			if ( 'image' === props.type ) {
  				props = _.defaults( props || {}, {
! 					align:   getUserSetting( 'align', 'none' ),
! 					size:    getUserSetting( 'imgsize', 'medium' ),
  					url:     '',
  					classes: []
  				});
--- 31,38 ----
  
  			if ( 'image' === props.type ) {
  				props = _.defaults( props || {}, {
! 					align:   defaultProps.align || getUserSetting( 'align', 'none' ),
! 					size:    defaultProps.size  || getUserSetting( 'imgsize', 'medium' ),
  					url:     '',
  					classes: []
  				});
***************
*** 42,48 ****
  
  			props.title = props.title || attachment.title;
  
! 			link = props.link || getUserSetting( 'urlbutton', 'post' );
  			if ( 'file' === link )
  				linkUrl = attachment.url;
  			else if ( 'post' === link )
--- 44,50 ----
  
  			props.title = props.title || attachment.title;
  
! 			link = props.link || defaultProps.link || getUserSetting( 'urlbutton', 'file' );
  			if ( 'file' === link )
  				linkUrl = attachment.url;
  			else if ( 'post' === link )
***************
*** 167,173 ****
  				itemtag:    'dl',
  				icontag:    'dt',
  				captiontag: 'dd',
! 				columns:    3,
  				size:       'thumbnail',
  				orderby:    'menu_order ID'
  			},
--- 169,175 ----
  				itemtag:    'dl',
  				icontag:    'dt',
  				captiontag: 'dd',
! 				columns:    '3',
  				size:       'thumbnail',
  				orderby:    'menu_order ID'
  			},
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/media-views.js /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/media-views.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/media-views.js	2012-12-17 16:18:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/media-views.js	2013-01-04 20:02:29.000000000 -0600
***************
*** 413,420 ****
  
  			this.get('selection').on( 'add remove reset', this.refreshContent, this );
  
- 			this.on( 'insert', this._insertDisplaySettings, this );
- 
  			if ( this.get('contentUserSetting') ) {
  				this.frame.on( 'content:activate', this.saveContentMode, this );
  				this.set( 'content', getUserSetting( 'libraryContent', this.get('content') ) );
--- 413,418 ----
***************
*** 440,450 ****
  		},
  
  		resetDisplays: function() {
  			this._displays = [];
  			this._defaultDisplaySettings = {
! 				align: getUserSetting( 'align', 'none' ),
! 				size:  getUserSetting( 'imgsize', 'medium' ),
! 				link:  getUserSetting( 'urlbutton', 'post' )
  			};
  		},
  
--- 438,449 ----
  		},
  
  		resetDisplays: function() {
+ 			var defaultProps = media.view.settings.defaultProps;
  			this._displays = [];
  			this._defaultDisplaySettings = {
! 				align: defaultProps.align || getUserSetting( 'align', 'none' ),
! 				size:  defaultProps.size  || getUserSetting( 'imgsize', 'medium' ),
! 				link:  defaultProps.link  || getUserSetting( 'urlbutton', 'file' )
  			};
  		},
  
***************
*** 457,478 ****
  			return displays[ attachment.cid ];
  		},
  
- 		_insertDisplaySettings: function() {
- 			var selection = this.get('selection'),
- 				display;
- 
- 			// If inserting one image, set those display properties as the
- 			// default user setting.
- 			if ( selection.length !== 1 )
- 				return;
- 
- 			display = this.display( selection.first() ).toJSON();
- 
- 			setUserSetting( 'align', display.align );
- 			setUserSetting( 'imgsize', display.size );
- 			setUserSetting( 'urlbutton', display.link );
- 		},
- 
  		syncSelection: function() {
  			var selection = this.get('selection'),
  				manager = this.frame._selection;
--- 456,461 ----
***************
*** 522,528 ****
  				router = frame.router.get(),
  				mode = frame.content.mode();
  
! 			if ( this.active && ! selection.length && ! router.get( mode ) )
  				this.frame.content.render( this.get('content') );
  		},
  
--- 505,514 ----
  				router = frame.router.get(),
  				mode = frame.content.mode();
  
! 			// If the state is active, no items are selected, and the current
! 			// content mode is not an option in the state's router (provided
! 			// the state has a router), reset the content mode to the default.
! 			if ( this.active && ! selection.length && router && ! router.get( mode ) )
  				this.frame.content.render( this.get('content') );
  		},
  
***************
*** 533,542 ****
  			if ( 'upload' === content.mode() )
  				this.frame.content.mode('browse');
  
! 			// If we're in a workflow that supports multiple attachments,
! 			// automatically select any uploading attachments.
! 			if ( this.get('multiple') )
! 				this.get('selection').add( attachment );
  		},
  
  		saveContentMode: function() {
--- 519,530 ----
  			if ( 'upload' === content.mode() )
  				this.frame.content.mode('browse');
  
! 			// Automatically select any uploading attachments.
! 			//
! 			// Selections that don't support multiple attachments automatically
! 			// limit themselves to one attachment (in this case, the last
! 			// attachment in the upload queue).
! 			this.get('selection').add( attachment );
  		},
  
  		saveContentMode: function() {
***************
*** 673,678 ****
--- 661,670 ----
  				return !! this.mirroring.getByCid( attachment.cid ) && ! edit.getByCid( attachment.cid ) && media.model.Selection.prototype.validator.apply( this, arguments );
  			};
  
+ 			// Reset the library to ensure that all attachments are re-added
+ 			// to the collection. Do so silently, as calling `observe` will
+ 			// trigger the `reset` event.
+ 			library.reset( library.mirroring.models, { silent: true });
  			library.observe( edit );
  			this.editLibrary = edit;
  
***************
*** 2854,2860 ****
  		initialize: function() {
  			var selection = this.options.selection;
  
! 			this.model.on( 'change:sizes change:uploading change:caption change:title', this.render, this );
  			this.model.on( 'change:percent', this.progress, this );
  
  			// Update the selection.
--- 2846,2854 ----
  		initialize: function() {
  			var selection = this.options.selection;
  
! 			this.model.on( 'change:sizes change:uploading', this.render, this );
! 			this.model.on( 'change:title', this._syncTitle, this );
! 			this.model.on( 'change:caption', this._syncCaption, this );
  			this.model.on( 'change:percent', this.progress, this );
  
  			// Update the selection.
***************
*** 3172,3177 ****
--- 3166,3193 ----
  		}
  	});
  
+ 	// Ensure settings remain in sync between attachment views.
+ 	_.each({
+ 		caption: '_syncCaption',
+ 		title:   '_syncTitle'
+ 	}, function( method, setting ) {
+ 		media.view.Attachment.prototype[ method ] = function( model, value ) {
+ 			var $setting = this.$('[data-setting="' + setting + '"]');
+ 
+ 			if ( ! $setting.length )
+ 				return this;
+ 
+ 			// If the updated value is in sync with the value in the DOM, there
+ 			// is no need to re-render. If we're currently editing the value,
+ 			// it will automatically be in sync, suppressing the re-render for
+ 			// the view we're editing, while updating any others.
+ 			if ( value === $setting.find('input, textarea, select, [value]').val() )
+ 				return this;
+ 
+ 			return this.render();
+ 		};
+ 	});
+ 
  	/**
  	 * wp.media.view.Attachment.Library
  	 */
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-tinymce-schema.js /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/tinymce/wp-tinymce-schema.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/js/tinymce/wp-tinymce-schema.js	2012-12-17 16:18:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/tinymce/wp-tinymce-schema.js	2012-12-27 16:37:09.000000000 -0600
***************
*** 96,102 ****
  					'dl[A][dd|dt]' +
  					'dt[A][C|B]' +
  					'dd[A][C]' +
! 					'a[A|href|target|download|ping|rel|media|type][C|B]' +
  					'em[A][B]' +
  					'strong[A][B]' +
  					'small[A][B]' +
--- 96,102 ----
  					'dl[A][dd|dt]' +
  					'dt[A][C|B]' +
  					'dd[A][C]' +
! 					'a[A|href|target|download|ping|rel|media|type][B]' +
  					'em[A][B]' +
  					'strong[A][B]' +
  					'small[A][B]' +
***************
*** 704,710 ****
  			elements.img.attributesDefault = [{name: 'alt', value: ''}];
  
  			// Remove these if they are empty by default
! 			each(split('ol,ul,sub,sup,blockquote,span,font,a,table,tbody,tr,strong,em,b,i'), function(name) {
  				if (elements[name]) {
  					elements[name].removeEmpty = true;
  				}
--- 704,710 ----
  			elements.img.attributesDefault = [{name: 'alt', value: ''}];
  
  			// Remove these if they are empty by default
! 			each(split('ol,ul,sub,sup,blockquote,span,font,a,table,tbody,tr'), function(name) {
  				if (elements[name]) {
  					elements[name].removeEmpty = true;
  				}
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/media.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/media.php	2012-12-17 16:18:39.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/media.php	2013-01-22 09:37:36.000000000 -0600
***************
*** 735,740 ****
--- 735,749 ----
  
  	$itemtag = tag_escape($itemtag);
  	$captiontag = tag_escape($captiontag);
+ 	$icontag = tag_escape($icontag);
+ 	$valid_tags = wp_kses_allowed_html( 'post' );
+ 	if ( ! isset( $valid_tags[ $itemtag ] ) )
+ 		$itemtag = 'dl';
+ 	if ( ! isset( $valid_tags[ $captiontag ] ) )
+ 		$captiontag = 'dd';
+ 	if ( ! isset( $valid_tags[ $icontag ] ) )
+ 		$icontag = 'dt';
+ 
  	$columns = intval($columns);
  	$itemwidth = $columns > 0 ? floor(100/$columns) : 100;
  	$float = is_rtl() ? 'right' : 'left';
***************
*** 1391,1403 ****
  				$size_meta = $meta['sizes'][ $size ];
  
  				// We have the actual image size, but might need to further constrain it if content_width is narrower.
! 				// This is not necessary for thumbnails and medium size.
! 				if ( 'thumbnail' == $size || 'medium' == $size ) {
! 					$width = $size_meta['width'];
! 					$height = $size_meta['height'];
! 				} else {
! 					list( $width, $height ) = image_constrain_size_for_editor( $size_meta['width'], $size_meta['height'], $size, 'edit' );
! 				}
  
  				$sizes[ $size ] = array(
  					'height'      => $height,
--- 1400,1407 ----
  				$size_meta = $meta['sizes'][ $size ];
  
  				// We have the actual image size, but might need to further constrain it if content_width is narrower.
! 				// Thumbnail, medium, and full sizes are also checked against the site's height/width options.
! 				list( $width, $height ) = image_constrain_size_for_editor( $size_meta['width'], $size_meta['height'], $size, 'edit' );
  
  				$sizes[ $size ] = array(
  					'height'      => $height,
***************
*** 1431,1436 ****
--- 1435,1445 ----
   * @since 3.5.0
   */
  function wp_enqueue_media( $args = array() ) {
+ 
+ 	// Enqueue me just once per page, please.
+ 	if ( did_action( 'wp_enqueue_media' ) )
+ 		return;
+ 
  	$defaults = array(
  		'post' => null,
  	);
***************
*** 1449,1454 ****
--- 1458,1469 ----
  	$tabs = apply_filters( 'media_upload_tabs', $tabs );
  	unset( $tabs['type'], $tabs['type_url'], $tabs['gallery'], $tabs['library'] );
  
+ 	$props = array(
+ 		'link'  => get_option( 'image_default_link_type' ), // db default is 'file'
+ 		'align' => get_option( 'image_default_align' ), // empty default
+ 		'size'  => get_option( 'image_default_size' ),  // empty default
+ 	);
+ 
  	$settings = array(
  		'tabs'      => $tabs,
  		'tabUrl'    => add_query_arg( array( 'chromeless' => true ), admin_url('media-upload.php') ),
***************
*** 1460,1465 ****
--- 1475,1481 ----
  		'post'    => array(
  			'id' => 0,
  		),
+ 		'defaultProps' => $props,
  	);
  
  	$post = null;
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/media-template.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/media-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/media-template.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/media-template.php	2013-01-04 14:08:45.000000000 -0600
***************
*** 291,302 ****
  					<option value="custom">
  						<?php esc_attr_e('Custom URL'); ?>
  					</option>
! 					<option value="post" selected>
! 						<?php esc_attr_e('Attachment Page'); ?>
! 					</option>
! 					<option value="file">
  						<?php esc_attr_e('Media File'); ?>
  					</option>
  					<option value="none">
  						<?php esc_attr_e('None'); ?>
  					</option>
--- 291,302 ----
  					<option value="custom">
  						<?php esc_attr_e('Custom URL'); ?>
  					</option>
! 					<option value="file" selected>
  						<?php esc_attr_e('Media File'); ?>
  					</option>
+ 					<option value="post">
+ 						<?php esc_attr_e('Attachment Page'); ?>
+ 					</option>
  					<option value="none">
  						<?php esc_attr_e('None'); ?>
  					</option>
***************
*** 347,358 ****
  					data-user-setting="urlbutton"
  				<# } #>>
  
! 				<option value="post" selected>
! 					<?php esc_attr_e('Attachment Page'); ?>
! 				</option>
! 				<option value="file">
  					<?php esc_attr_e('Media File'); ?>
  				</option>
  			</select>
  		</label>
  
--- 347,358 ----
  					data-user-setting="urlbutton"
  				<# } #>>
  
! 				<option value="file" selected>
  					<?php esc_attr_e('Media File'); ?>
  				</option>
+ 				<option value="post">
+ 					<?php esc_attr_e('Attachment Page'); ?>
+ 				</option>
  			</select>
  		</label>
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/post.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/post.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/post.php	2012-12-27 09:49:36.000000000 -0600
***************
*** 682,688 ****
   */
  function get_post_ancestors( $post ) {
  	if ( ! $post )
! 		return false;
  
  	$post = get_post( $post );
  
--- 682,688 ----
   */
  function get_post_ancestors( $post ) {
  	if ( ! $post )
! 		return array();
  
  	$post = get_post( $post );
  
***************
*** 3010,3022 ****
   * Publish a post by transitioning the post status.
   *
   * @since 2.1.0
!  * @uses wp_update_post()
   *
   * @param mixed $post Post ID or object.
   */
  function wp_publish_post( $post ) {
  	if ( ! $post = get_post( $post ) )
  		return;
  	if ( 'publish' == $post->post_status )
  		return;
  
--- 3010,3026 ----
   * Publish a post by transitioning the post status.
   *
   * @since 2.1.0
!  * @uses $wpdb
!  * @uses do_action() Calls 'edit_post', 'save_post', and 'wp_insert_post' on post_id and post data.
   *
   * @param mixed $post Post ID or object.
   */
  function wp_publish_post( $post ) {
+ 	global $wpdb;
+ 
  	if ( ! $post = get_post( $post ) )
  		return;
+ 
  	if ( 'publish' == $post->post_status )
  		return;
  
***************
*** 3020,3027 ****
  	if ( 'publish' == $post->post_status )
  		return;
  
  	$post->post_status = 'publish';
! 	wp_update_post( $post );
  }
  
  /**
--- 3024,3040 ----
  	if ( 'publish' == $post->post_status )
  		return;
  
+ 	$wpdb->update( $wpdb->posts, array( 'post_status' => 'publish' ), array( 'ID' => $post->ID ) );
+ 
+ 	clean_post_cache( $post->ID );
+ 
+ 	$old_status = $post->post_status;
  	$post->post_status = 'publish';
! 	wp_transition_post_status( 'publish', $old_status, $post );
! 
! 	do_action( 'edit_post', $post->ID, $post );
! 	do_action( 'save_post', $post->ID, $post );
! 	do_action( 'wp_insert_post', $post->ID, $post );
  }
  
  /**
***************
*** 3581,3588 ****
   * @return string Page URI.
   */
  function get_page_uri($page) {
! 	if ( ! is_object($page) )
! 		$page = get_post( $page );
  	$uri = $page->post_name;
  
  	foreach ( $page->ancestors as $parent ) {
--- 3594,3601 ----
   * @return string Page URI.
   */
  function get_page_uri($page) {
! 	$page = get_post( $page );
! 
  	$uri = $page->post_name;
  
  	foreach ( $page->ancestors as $parent ) {
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/script-loader.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/script-loader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/script-loader.php	2012-12-17 16:18:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/script-loader.php	2013-01-23 15:04:45.000000000 -0600
***************
*** 226,239 ****
  		'error_uploading' => __('&#8220;%s&#8221; has failed to upload.')
  	);
  
! 	$scripts->add( 'plupload', '/wp-includes/js/plupload/plupload.js', array(), '1.5.4' );
! 	$scripts->add( 'plupload-html5', '/wp-includes/js/plupload/plupload.html5.js', array('plupload'), '1.5.4' );
! 	$scripts->add( 'plupload-flash', '/wp-includes/js/plupload/plupload.flash.js', array('plupload'), '1.5.4' );
! 	$scripts->add( 'plupload-silverlight', '/wp-includes/js/plupload/plupload.silverlight.js', array('plupload'), '1.5.4' );
! 	$scripts->add( 'plupload-html4', '/wp-includes/js/plupload/plupload.html4.js', array('plupload'), '1.5.4' );
  
  	// cannot use the plupload.full.js, as it loads browserplus init JS from Yahoo
! 	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1.5.4' );
  
  	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery') );
  	did_action( 'init' ) && $scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
--- 226,239 ----
  		'error_uploading' => __('&#8220;%s&#8221; has failed to upload.')
  	);
  
! 	$scripts->add( 'plupload', '/wp-includes/js/plupload/plupload.js', array(), '1.5.5' );
! 	$scripts->add( 'plupload-html5', '/wp-includes/js/plupload/plupload.html5.js', array('plupload'), '1.5.5' );
! 	$scripts->add( 'plupload-flash', '/wp-includes/js/plupload/plupload.flash.js', array('plupload'), '1.5.5' );
! 	$scripts->add( 'plupload-silverlight', '/wp-includes/js/plupload/plupload.silverlight.js', array('plupload'), '1.5.5' );
! 	$scripts->add( 'plupload-html4', '/wp-includes/js/plupload/plupload.html4.js', array('plupload'), '1.5.5' );
  
  	// cannot use the plupload.full.js, as it loads browserplus init JS from Yahoo
! 	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1.5.5' );
  
  	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery') );
  	did_action( 'init' ) && $scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
***************
*** 700,706 ****
  		}
  
  		$concat = str_split( $concat, 128 );
! 		$concat = 'load[]=' . implode( '&load[]=', $concat );
  
  		$src = $wp_scripts->base_url . "/wp-admin/load-scripts.php?c={$zip}&" . $concat . '&ver=' . $wp_scripts->default_version;
  		echo "<script type='text/javascript' src='" . esc_attr($src) . "'></script>\n";
--- 700,706 ----
  		}
  
  		$concat = str_split( $concat, 128 );
! 		$concat = 'load%5B%5D=' . implode( '&load%5B%5D=', $concat );
  
  		$src = $wp_scripts->base_url . "/wp-admin/load-scripts.php?c={$zip}&" . $concat . '&ver=' . $wp_scripts->default_version;
  		echo "<script type='text/javascript' src='" . esc_attr($src) . "'></script>\n";
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/template.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/template.php	2012-12-17 16:18:39.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/template.php	2013-01-04 14:05:31.000000000 -0600
***************
*** 59,70 ****
   * @return string
   */
  function get_archive_template() {
! 	$post_types = get_query_var( 'post_type' );
  
  	$templates = array();
  
! 	foreach ( (array) $post_types as $post_type )
  		$templates[] = "archive-{$post_type}.php";
  	$templates[] = 'archive.php';
  
  	return get_query_template( 'archive', $templates );
--- 59,72 ----
   * @return string
   */
  function get_archive_template() {
! 	$post_types = array_filter( (array) get_query_var( 'post_type' ) );
  
  	$templates = array();
  
! 	if ( count( $post_types ) == 1 ) {
! 		$post_type = reset( $post_types );
  		$templates[] = "archive-{$post_type}.php";
+ 	}
  	$templates[] = 'archive.php';
  
  	return get_query_template( 'archive', $templates );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/user.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/user.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/user.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/user.php	2012-12-27 22:40:46.000000000 -0600
***************
*** 1452,1457 ****
--- 1452,1459 ----
  
  	// First, get all of the original fields
  	$user_obj = get_userdata( $ID );
+ 	if ( ! $user_obj )
+ 		return new WP_Error( 'invalid_user_id', __( 'Invalid user ID' ) );
  
  	$user = $user_obj->to_array();
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/version.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/version.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/version.php	2012-12-17 16:18:40.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/version.php	2013-01-24 14:14:49.000000000 -0600
***************
*** 4,10 ****
   *
   * @global string $wp_version
   */
! $wp_version = '3.5';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
--- 4,10 ----
   *
   * @global string $wp_version
   */
! $wp_version = '3.5.1';
  
  /**
   * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
***************
*** 18,24 ****
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-23156';
  
  /**
   * Holds the required PHP version
--- 18,24 ----
   *
   * @global string $tinymce_version
   */
! $tinymce_version = '358-23224';
  
  /**
   * Holds the required PHP version
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.1.pl /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/wp-db.php /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/wp-db.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/wp-db.php	2012-12-17 16:18:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/wp-db.php	2012-12-27 10:44:59.000000000 -0600
***************
*** 987,996 ****
  	 * @return null|false|string Sanitized query string, null if there is no query, false if there is an error and string
  	 * 	if there was something to prepare
  	 */
! 	function prepare( $query, $args ) {
  		if ( is_null( $query ) )
  			return;
  
  		$args = func_get_args();
  		array_shift( $args );
  		// If args were passed as an array (as in vsprintf), move them up
--- 987,999 ----
  	 * @return null|false|string Sanitized query string, null if there is no query, false if there is an error and string
  	 * 	if there was something to prepare
  	 */
! 	function prepare( $query, $args = null ) {
  		if ( is_null( $query ) )
  			return;
  
+ 		if ( func_num_args() < 2 )
+ 			_doing_it_wrong( 'wpdb::prepare', 'wpdb::prepare() requires at least two arguments.', '3.5' );
+ 
  		$args = func_get_args();
  		array_shift( $args );
  		// If args were passed as an array (as in vsprintf), move them up
